summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2010-01-07 19:16:52 +0000
committerAlexis Ballier <aballier@gentoo.org>2010-01-07 19:16:52 +0000
commit54b35fda80c28853ceac9641df865a512d8d9ae6 (patch)
tree470eec80a1d1a1cdafe043a8783ecfa7b6ea4c47 /eclass
parentMarking glade-3.6.7 ppc for bug 298204 (diff)
downloadgentoo-2-54b35fda80c28853ceac9641df865a512d8d9ae6.tar.gz
gentoo-2-54b35fda80c28853ceac9641df865a512d8d9ae6.tar.bz2
gentoo-2-54b35fda80c28853ceac9641df865a512d8d9ae6.zip
build the formats after looking for jobs in the tlpkgs so that the AddFormat directive will work
Diffstat (limited to 'eclass')
-rw-r--r--eclass/texlive-module.eclass22
1 files changed, 11 insertions, 11 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 5b62fa08c69b..fe4c72995c6c 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-module.eclass,v 1.29 2010/01/07 19:13:01 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-module.eclass,v 1.30 2010/01/07 19:16:52 aballier Exp $
# @ECLASS: texlive-module.eclass
# @MAINTAINER:
@@ -172,16 +172,6 @@ texlive-module_make_language_dat_lines() {
# files for different packages in a single one used by the whole tex installation.
texlive-module_src_compile() {
- # Build format files
- for i in texmf/fmtutil/format*.cnf; do
- if [ -f "${i}" ]; then
- einfo "Building format ${i}"
- VARTEXFONTS="${T}/fonts" TEXMFHOME="${S}/texmf:${S}/texmf-dist:${S}/texmf-var"\
- env -u TEXINPUTS fmtutil --cnffile "${i}" --fmtdir "${S}/texmf-var/web2c" --all\
- || die "failed to build format ${i}"
- fi
- done
-
# Generate config files
# TeX Live 2007 was providing lists. For 2008 they are now tlpobj.
for i in "${S}"/tlpkg/tlpobj/*;
@@ -215,6 +205,16 @@ texlive-module_src_compile() {
esac
done
+ # Build format files
+ for i in texmf/fmtutil/format*.cnf; do
+ if [ -f "${i}" ]; then
+ einfo "Building format ${i}"
+ VARTEXFONTS="${T}/fonts" TEXMFHOME="${S}/texmf:${S}/texmf-dist:${S}/texmf-var"\
+ env -u TEXINPUTS fmtutil --cnffile "${i}" --fmtdir "${S}/texmf-var/web2c" --all\
+ || die "failed to build format ${i}"
+ fi
+ done
+
# Delete ls-R files, these should not be created but better be certain they
# do not end up being installed.
find . -name 'ls-R' -delete